Subject: N900 modem support in 3.18-rc1

From: [email-masked] (Pavel Machek)
Date: Tue, 18 Nov 2014 08:42:55 +0100

On Sun 2014-11-16 13:29:50, Robert Jarzmik wrote:
> Pavel Machek <[email-masked]> writes:
> 
> > On Thu 2014-11-13 20:18:04, Aaro Koskinen wrote:
> >> Hi,
> >> 
> >> On Thu, Nov 13, 2014 at 09:45:36AM -0800, Tony Lindgren wrote:
> >> > * Pavel Machek <[email-masked]> [141113 08:23]:
> >> > > OTOH ofono seems pretty reasonable. So I played a bit, and result
> >> > > is python/pygtk gui which can receive an sms, initiate a call, and
> >> > > report missed call. If someone wants to play, source is at
> >> > > 
> >> > > https://gitorious.org/tui/tui/source/b6141107e9341a1412720aed4b0d09143dfa2f4e:ofone
> >> > 
> >> > Pavel, care to fill in the the following type patch with some
> >> > instructions in the description now that you got it working?
> >> 
> >> Could we even have some "permanent" instructions under Documentation/?
> >
> > Something like this?
> >
> > commit 375d8d9f17433ade6afae91d4f34e170f0af04c4
> > Author: Pavel <[email-masked]>
> > Date:   Sun Nov 16 11:10:59 2014 +0100
> >
> > Add basic documentation for n900 testing.
> >
> > Signed-off-by: Pavel Machek <[email-masked]>
> >
> > diff --git a/Documentation/cellphones.txt b/Documentation/cellphones.txt
> > new file mode 100644
> > index 0000000..d7e8e7a
> > --- /dev/null
> > +++ b/Documentation/cellphones.txt
> > @@ -0,0 +1,90 @@
> > +Running Linux on Cellphones
> > +===========================
> > +
> > +At this moment (2014), there are no cellphones completely supported by
> > +mainline kernel. Another problem is lack of hackable userspace to run
> > +on cellphone, even when kernel support is available.
> Hi Pavel,
> 
> There is the Mitac Mio A701. Very old but still it is there, with the kernel
> part maintained.
> 
> Userspace was based on QTopia in 2008. I don't maintain that part anymore
> though.
> 
> The GSM part relies on a simple ttyS device (modem has its internal flash), no
> real data at that time, or rather 2G only, but the 07.10 mux support was never
> included in Qtopia ...

Thanks for the info. 

I added 

"
+Mainline has support for Mitac Mio A701, but that having only 64MiB
+RAM, QTopia is the software to use there.
"
									Pavel
-- 
(english) http://www.livejournal.com/~pavelmachek
(cesky, pictures) http://atrey.karlin.mff.cuni.cz/~pavel/picture/horses/blog.html